
# Contributing to TgCaller

Thank you for considering a contribution to **TgCaller**.  
We appreciate all types of contributions that help improve the project.

---

## How You Can Contribute

- Report bugs or unexpected behavior
- Suggest new features or improvements
- Improve or update the documentation
- Submit pull requests with code changes

---

## Contribution Guidelines

1. **Fork** the repository to your GitHub account.
2. **Create a new branch** for your change:  
   `feature/your-feature-name` or `fix/bug-description`
3. **Make your changes** and test them locally.
4. **Submit a Pull Request** with a clear and descriptive summary.

---

## Code Style

- Follow the existing structure and formatting used in the project.
- Keep code clean, modular, and documented.
- Use descriptive and consistent **commit messages**, for example:

feat: add support for audio filters fix: handle missing input error in stream handler docs: update configuration guide

---

## Testing

Please run tests before submitting:

```bash
pytest tests/

Ensure all tests pass

Add new tests if you introduce new functionality



---

Need Help?

Refer to the TgCaller Documentation

Check open issues


If you're unsure about anything, feel free to open a new issue for clarification.


---

Thank you for helping improve TgCaller.

---
