# Troubleshooting

If you're facing issues while installing or running TgCaller, this guide covers common problems and how to resolve them.

---

## Installation Issues

- Ensure all required dependencies (Python, FFmpeg, etc.) are properly installed.
- Follow each step in [installation.md](./installation.md) carefully.
- If you're using a virtual environment, activate it before running any commands.
- Check Python version compatibility (Python 3.8+ recommended).

---

## Runtime Errors

- Always check the error output or logs for detailed messages.
- Make sure your system supports all required libraries and codecs.
- Verify your FFmpeg version is up to date and accessible from the shell.
- Ensure the bot/token/Telegram client is configured correctly.

---

## Unexpected Behavior

- Restart the process to rule out temporary issues.
- Clear any cached `.pyc` files if the behavior is inconsistent.
- Confirm your code matches the latest version of TgCaller.

---

## Still Need Help?

- Review the [FAQ](./faq.md) for common questions
- Open a [GitHub Issue](https://github.com/TgCaller/TgCaller/issues) with:
  - A description of the problem
  - Exact error output (logs, stack traces)
  - Your system info and Python version

The more details you provide, the easier it is for us to help.
